
# Changelog
All notable changes to pyCOREPOS will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [0.1.10] - 2023-05-17
### Changed
- Replace `setup.py` contents with `setup.cfg`.

## [0.1.9] - 2023-05-01
### Changed
- Require SQLAlchemy 1.4.x.

## [0.1.8] - 2023-01-02
### Changed
- Add basic `TransactionDetail` for trans archive model.
- Delete `productUser` record when `products` record is deleted.

## [0.1.7] - 2022-03-02
### Changed
- Remove deprecation warning for `corepos.db`.
- Add model for `UserGroup`.

## [0.1.6] - 2021-11-04
### Changed
- Add `User` model for office_op.
- Add proper support for `str(Suspension)`.
- Add the `custdata` model for lane_op DB.

## [0.1.5] - 2021-08-31
### Changed
- Add lane_op model for Department.

## [0.1.4] - 2021-08-02
### Changed
- Add schema for `TableSyncRules`.

## [0.1.3] - 2021-07-21
### Changed
- Add basic 'lane_op' DB schema.

## [0.1.2] - 2021-06-11
### Changed
- Several more updates, mostly a "save point" release.

## [0.1.1] - 2020-09-16
### Added
- A ton of updates, mostly a "save point" release.

## [0.1.0] - 2020-02-27
### Added
- Initial version of the package; defines some basic table mappings.
